[PATCH] libwpe: remove rpi-specific custom code


Denys Dmytriyenko
 

This recipe was ported from another layer, which had special handling for rpi.

OE-Core doesn't have 'rpi' override, doesn't define 'vc4graphics' DISTRO_FEATURES
and overall, BSP-specifics should be handled in downstream layers, not in OE-Core.

Signed-off-by: Denys Dmytriyenko <denis@...>
---
meta/recipes-sato/webkit/libwpe_1.10.1.bb | 3 ---
1 file changed, 3 deletions(-)

diff --git a/meta/recipes-sato/webkit/libwpe_1.10.1.bb b/meta/recipes-sato/webkit/libwpe_1.10.1.bb
index 22fff93..6f2fe1d 100644
--- a/meta/recipes-sato/webkit/libwpe_1.10.1.bb
+++ b/meta/recipes-sato/webkit/libwpe_1.10.1.bb
@@ -6,9 +6,6 @@ LICENSE = "BSD"
LIC_FILES_CHKSUM = "file://COPYING;md5=371a616eb4903c6cb79e9893a5f615cc"
DEPENDS = "virtual/egl libxkbcommon"

-# Workaround build issue with RPi userland EGL libraries.
-CFLAGS:append_rpi = " ${@bb.utils.contains('MACHINE_FEATURES', 'vc4graphics', '', '-D_GNU_SOURCE', d)}"
-
inherit cmake features_check

REQUIRED_DISTRO_FEATURES = "opengl"
--
2.7.4

Join openembedded-core@lists.openembedded.org to automatically receive all group messages.